light-mode-image
Learn
API ReferenceParticipant verifier certificates

Delete a participant verifier certificate

Roles

admindts-provider

Analytics Events

ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_DELETE_STARTECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_DELETE_SUCCESSECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_DELETE_FAIL
DELETE/v1/ecosystems/{ecosystemId}/participants/{participantId}/verifier-certificates/{verifierCertificateId}

Delete a specific verifier certificate for the specified participant.

Analytic events

  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_DELETE_START
  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_DELETE_SUCCESS
  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_DELETE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

participantId*string

The UUID of the participant

Formatuuid
ecosystemId*string

The UUID of the ecosystem

Formatuuid
verifierCertificateId*string

Unique identifier of the participant verifier certificate.

Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/verifier-certificates/3b5b1a6a-1b1a-4b1a-8b1a-1b1a4b1a8b1a"
Empty
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "value": "string",
      "msg": "Invalid value",
      "param": "id",
      "location": "body"
    }
  ]
}

How would you rate this page?